'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ignore = require('ignore');

var _ignore2 = _interopRequireDefault(_ignore);

var _constants = require('../constants');

var _helpers = require('../helpers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (src) {
  return (0, _helpers.loadGitattributeFiltersFromRepo)(src.repo()).then(function (filters) {
    var file = src.path();
    var filterIgnore = (0, _ignore2.default)().add(filters);

    // these ignore rules are the closest to the .gitignore rules I have found
    if (filterIgnore.ignores(file)) {
      return _constants.Error.CODE.OK;
    }

    return _constants.Error.CODE.PASSTHROUGH;
  }).catch(function () {
    return _constants.Error.CODE.PASSTHROUGH;
  });
};