'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _child_process = require('child_process');

var _child_process2 = _interopRequireDefault(_child_process);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var exec = function exec(command, input, opts) {
  return new Promise(function (resolve, reject) {
    var proc = _child_process2.default.exec(command, opts, function (err, stdout, stderr) {
      if (err) {
        reject(err);
      } else {
        resolve({ proc: proc, stdout: stdout, stderr: stderr });
      }
    });

    if (input) {
      proc.stdin.write(input);
      proc.stdin.end();
    }
  });
};

exports.default = exec;